pidgin tray icon too large

Bug #209440 reported by John McGuckian on 2008-03-30
36
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Pidgin
Unknown
Unknown
pidgin (Ubuntu)
Low
Unassigned

Bug Description

Running Ubuntu 7.10, Pidgin 2.3.1...

Occasionally the pidgin tray icon doesn't size itself correctly in the tray upon startup (I have it set to start automatically via Sessions manager). Whilst sometimes it is too small, on this occasion the icon is march too large and doesn't fit into the panel (as demonstrated in screenshot).

Related branches

John McGuckian (jaymac) wrote :
Ryan Novosielski (novosirj) wrote :

I am pretty surprised this was never confirmed -- I've read reports of it all over the internet (though it's possibly an upstream bug). It happens also on KDE, so it's not just a GNOME thing.

What fixes it is to turn off and on the tray icon a couple of times. Obnoxious fix, but it's not so terrible if you're going to be working for long periods in the same session.

Daniel T Chen (crimsun) wrote :

Is this symptom still reproducible in 8.10 or 9.04?

Changed in pidgin:
status: New → Incomplete
John McGuckian (jaymac) wrote :

I am yet to notice it in 8.10.

Carlo Capocasa (carlotheman) wrote :

Confirm this in 8.10. Happened after an X crash/auto-restart.

Sebastien Bacher (seb128) wrote :

could you try on jaunty now? similar issues have been fixed there

Changed in pidgin (Ubuntu):
importance: Undecided → Low
Jithin Emmanuel (jithin1987) wrote :

I can reproduce this in karmic with pidgin 2.5.8 and kde 4.3.

Jithin Emmanuel (jithin1987) wrote :
Changed in pidgin (Ubuntu):
status: Incomplete → Confirmed
Jithin Emmanuel (jithin1987) wrote :

I found a work around for this bug.

pwd
/usr/share/pixmaps/pidgin/tray
ll
total 16
drwxr-xr-x 2 root root 4096 2009-08-25 18:12 16
drwxr-xr-x 2 root root 4096 2009-08-25 18:12 22
drwxr-xr-x 2 root root 4096 2009-08-25 18:12 32
lrwxrwxrwx 1 root root 3 2009-08-25 18:54 48 -> 22/
drwxr-xr-x 2 root root 4096 2009-08-25 18:12 48.bak

creating a symlink for 48 to 22 fixes the issue.

thndsr (stijnverwaaijen) wrote :

And how exactly do you do this?

Felix Geyer (debfx) wrote :

Does this only affect KDE (on Karmic)?

cd /usr/share/pixmaps/pidgin/tray; sudo mv ./48 ./48.bak; sudo ln -s ./22 ./48

Should do it

Changed in pidgin:
status: Unknown → New
Felix Geyer (debfx) wrote :

I posted a debdiff containing a workaround for KDE on bug #346840

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.6.2-1ubuntu7

---------------
pidgin (1:2.6.2-1ubuntu7) karmic; urgency=low

  * Don't stick the buddy list window to all desktops as some
    window managers have trouble to properly unstick it (LP: #346840)
    - debian/patches/11_buddy_list_really_show.patch
  * Always use default tray icon size on KDE (LP: #209440)
    - debian/patches/62_tray_icon_size_kde.patch
  * Use scrollbars in the preferences dialog if the screen height is
    below 700 px instead of 600 px
    - debian/patches/60_1024x600_gtkprefs.c.patch

 -- Felix Geyer <email address hidden> Fri, 09 Oct 2009 19:40:26 +0200

Changed in pidgin (Ubuntu):
status: Confirmed → Fix Released
Changed in pidgin:
status: New → Unknown
Changed in pidgin:
status: Unknown → New
roygeva (gevaroy) wrote :

cd /usr/share/pixmaps/pidgin/tray
sudo mv ./48 ./48.bak
sudo ln -s ./22 ./48

Did it! (I'm using version package pidgin - 1:2.6.3 in jaunty

roygeva (gevaroy) wrote :

Karmic

andrkavr (andrkavr) wrote :

Creating a symlink to 22 dir is actually not a very good idea, as the 22px icons will be overwritten with 48px icons when pidgin is upgraded. Better to just cp -R 22 48.

Changed in pidgin:
status: New → Unknown
dusoft (dusoft-staznosti) wrote :

Still exists in latest pidgin 2.10.3, latest ubuntu
sometimes icon is too big.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.